jv.loader

## Class PvDisplayLoader

- java.lang.Object
- - jv.loader.PvDisplayLoader

-     public final class PvDisplayLoader
      extends java.lang.Object

  Loader for display files given in JavaView's JVD file format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PvDisplayLoader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PvDisplayOption[]` | `read(java.io.BufferedReader in)` Read a JVD file with display settings and fill a new options class.
    `static PvDisplayOption[]` | `read(java.lang.String fileName)` Read a JVD file with display settings and fill a new options class.
    `void` | `setGeometryOption(java.util.BitSet option)` Set the geometry options which indicate which parts of a geometry shall be saved.
    `java.lang.String` | `write(PvDisplayOption[] option)` Write the display options in a XML tree structure of instances of type `PsXmlNode` and create a XML formatted string.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PvDisplayLoader

          public PvDisplayLoader()

  - ### Method Detail

    - #### setGeometryOption

          public void setGeometryOption(java.util.BitSet option)

      Set the geometry options which indicate which parts of a geometry shall be saved. This method must be called before writing the geometry. Note, not all geometry file formats support geometry options.
      Since:
        JavaView 2.68.000

    - #### read

          public static PvDisplayOption[] read(java.lang.String fileName)

      Read a JVD file with display settings and fill a new options class.

    - #### read

          public PvDisplayOption[] read(java.io.BufferedReader in)

      Read a JVD file with display settings and fill a new options class.

    - #### write

          public java.lang.String write(PvDisplayOption[] option)

      Write the display options in a XML tree structure of instances of type `PsXmlNode` and create a XML formatted string.
      Returns:
        formatted string of xml tree.

"

The software JavaView? is copyright protected. All Rights Reserved.
"